Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class CPSplitCalculator

    java.lang.Object
      org.apache.poi.hwpf.model.CPSplitCalculator

    public final class CPSplitCalculator

extends java.lang.Object

Helper class for `HWPFDocument`, which figures out where different kinds of text can be found within the overall CP splurge.

Constructor Summary
`CPSplitCalculator(FileInformationBlock fib)`

Method Summary
`int` | `getCommentsEnd()` Where the Comment (Atn) text ends.
`int` | `getCommentsStart()` Where the Comment (Atn) text starts.
`int` | `getEndNoteEnd()` Where the End Note text ends.
`int` | `getEndNoteStart()` Where the End Note text starts.
`int` | `getFootnoteEnd()` Where the Footnotes text ends.
`int` | `getFootnoteStart()` Where the Footnotes text starts.
`int` | `getHeaderStoryEnd()` Where the "Header Story" text ends.
`int` | `getHeaderStoryStart()` Where the "Header Story" text starts.
`int` | `getHeaderTextboxEnd()` Where the Header textbox text ends.
`int` | `getHeaderTextboxStart()` Where the Header Textbox text starts.
`int` | `getMainDocumentEnd()` Where the main document text ends.
`int` | `getMainDocumentStart()` Where the main document text starts.
`int` | `getMainTextboxEnd()` Where the Main textbox text ends.
`int` | `getMainTextboxStart()` Where the Main Textbox text starts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPSplitCalculator

    public CPSplitCalculator(FileInformationBlock fib)

Method Detail

### getMainDocumentStart

    public int getMainDocumentStart()

  Where the main document text starts. Always 0.

### getMainDocumentEnd

    public int getMainDocumentEnd()

  Where the main document text ends. Given by FibRgLw97.ccpText

### getFootnoteStart

    public int getFootnoteStart()

  Where the Footnotes text starts. Follows straight on from the main text.

### getFootnoteEnd

    public int getFootnoteEnd()

  Where the Footnotes text ends. Length comes from FibRgLw97.ccpFtn

### getHeaderStoryStart

    public int getHeaderStoryStart()

  Where the "Header Story" text starts. Follows straight on from the footnotes.

### getHeaderStoryEnd

    public int getHeaderStoryEnd()

  Where the "Header Story" text ends. Length comes from FibRgLw97.ccpHdd

### getCommentsStart

    public int getCommentsStart()

  Where the Comment (Atn) text starts. Follows straight on from the header stories.

### getCommentsEnd

    public int getCommentsEnd()

  Where the Comment (Atn) text ends. Length comes from FibRgLw97.ccpAtn

### getEndNoteStart

    public int getEndNoteStart()

  Where the End Note text starts. Follows straight on from the comments.

### getEndNoteEnd

    public int getEndNoteEnd()

  Where the End Note text ends. Length comes from FibRgLw97.ccpEdn

### getMainTextboxStart

    public int getMainTextboxStart()

  Where the Main Textbox text starts. Follows straight on from the end note.

### getMainTextboxEnd

    public int getMainTextboxEnd()

  Where the Main textbox text ends. Length comes from FibRgLw97.ccpTxBx

### getHeaderTextboxStart

    public int getHeaderTextboxStart()

  Where the Header Textbox text starts. Follows straight on from the main textbox.

### getHeaderTextboxEnd

    public int getHeaderTextboxEnd()

  Where the Header textbox text ends. Length comes from FibRgLw97.ccpHdrTxBx

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.